<template>
  <div id="app">
      <router-view @remove="deleteMovie" @edit="editMovie"></router-view>
  </div>
</template>

<script>
import Vue from 'vue'

Vue.prototype.$movies = [{
    title: 'First Man',
    director: {
        name: 'Damian Chazelle',
        birthday: '30/08/1970',
        nationality: 'Américain'
    },
    url: 'https://fr.web.img6.acsta.net/pictures/18/09/12/11/16/3103616.jpg',
    releaseDate: '2018',
    genre: 'Biographie',
    note: 3
}, {
    title: 'Interstellar',
    director: {
        name: 'Christopher Nolan',
        birthday: '30/08/1970',
        nationality: 'Britannique'
    },
    url: 'https://m.media-amazon.com/images/I/61pyUElLh7L._AC_SY445_.jpg',
    releaseDate: '2014',
    genre: 'Science-fiction',
    note: 5
}, {
    title: 'Little Miss Sunshine',
    director: {
        name: 'Jonathan Dayton & Valerie Faris',
        birthday: '30/08/1970',
        nationality: 'Américain'
    },
    url: 'http://www.cuk.ch/wp-content/uploads/2014/12/little_miss_sunshine_ver5.jpg',
    releaseDate: '2006',
    genre: 'Film indé',
    note: 5
}, {
    title: 'Kingdom of Heaven',
    director: {
        name: 'Ridley Scott',
        birthday: '30/08/1970',
        nationality: 'Américain'
    },
    url: 'https://similaires.com/img_fr/movie/thumb/26/11672.jpg',
    releaseDate: '2005',
    genre: 'Epique',
    note: 5
}]

export default {
  data() {
    return {
       movieList: this.$movies
    }
  },
  name: 'App',
  components : {
  },
  methods: {
   deleteMovie (index) {
      this.$router.push('/');
      this.$movies.splice(index, 1);
   },
   editMovie(index) {
        this.$router.push('/');
        let title=document.getElementById('title').value;
        let director=document.getElementById('name').value;
        let nationality=document.getElementById('nationality').value;
        let birthday=document.getElementById('birthday').value;
        let genre=document.getElementById('genre').value;
        let year=document.getElementById('year').value;
        let url =document.getElementById('poster').value;

        let toPush = {
            title:title,
            director: {
              name : director,
              birthday : birthday,
              nationality : nationality
            },
            url: url,
            releaseDate: year,
            genre: genre,
            note : this.$movies[index].note
        }
        this.$movies[index]=toPush;
      }
  }

}


</script>

<style>
a {
  color:#fafafa;
  text-decoration: none;
  font-weight:bolder;
  padding:5px;
}
.subMovie {
  position:absolute;
  width:100%;
  height: 81%;
  top: 14%;
  border-radius:10px;
  opacity:0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.subMovie:hover {
  opacity:1;
}
.btnSb {
  width:100px;
  background-color:green;
  border-radius:5px;
  font-weight: bold;
  margin-top:10px

}
.btnDes {
  width:100px;
  background-color:red;
  border-radius:5px;
  font-weight: bold;
  margin-top:10px;

}
.btnEdi {
  width:100px;
  background-color:blue;
  border-radius:5px;
  font-weight: bold;
  margin-top:10px

}
.btnSec {
  width:100px;
  background-color:#fafafa;
  border-radius:5px;
  font-weight: bold;
  margin-top:10px;
  color:black

}
.btnSb:hover {
  background-color: darkgreen;
}
.btnDes:hover {
  background-color: darkred;
}
.btnEdi:hover {
  background-color: darkblue;
}
.btnSec:hover {
  background-color: #EAEAEAEA;
}

button, input[type="submit"], input[type="reset"] {
	background: none;
	color: inherit;
	border: none;
	padding: 0;
	font: inherit;
	cursor: pointer;
	outline: inherit;
}
input[type="text"] {
	background: none;
	color: inherit;
	border: none;
	padding: 0;
	outline: inherit;
  background-color:#fafafa;
  border-radius:5px;
  height:30px;
  color:black;
  margin-top:10px;
}
span {
  font-size:20px;
  font-weight: bold;
}
.newMovie {
  border:#fafafa 5px solid;
  border-radius:10px;
  margin-bottom:50px;
  padding:20px;
  width:60%;
  align-self:center;
}
html {
  background-color:black;
  color: #fafafa;
  height:100%
}
body {
  height:100%
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  background-color:black;
  color: #fafafa;
  height:100%;
  display:flex;
}
.flex {
  display:flex;
  justify-content: space-around;
  width:100%;
  flex-wrap:wrap;
}
.flex2 {
  display:flex;
  flex-direction: column;
  justify-content: space-between;
  width:100%
}

.poster {
  border-radius:10px;
  height:80%;
  border : #fafafafa solid 5px;
}

.posterCont {
  width:20%;
}
.movieBlock {
  display: flex;
  flex-direction: column;
  height:100%;
  position:relative
}

</style>
